| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::AnimationTrack::Listener Class Referenceabstract

Listener allowing you to override certain behaviour of a track, for example to drive animation procedurally. More...

`#include <OgreAnimationTrack.h>`

## Public Member Functions
virtual | ~Listener ()
virtual bool | getInterpolatedKeyFrame (const AnimationTrack *t, const TimeIndex &timeIndex, KeyFrame *kf)=0
| Get an interpolated keyframe for this track at the given time. More...

## Detailed Description

Listener allowing you to override certain behaviour of a track, for example to drive animation procedurally.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Ogre::AnimationTrack::Listener::~Listener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getInterpolatedKeyFrame()

virtual bool Ogre::AnimationTrack::Listener::getInterpolatedKeyFrame | ( | const AnimationTrack * | t,
|  | const TimeIndex & | timeIndex,
|  | KeyFrame * | kf
| ) |  |
| pure virtual

Get an interpolated keyframe for this track at the given time.

Returns
  true if the KeyFrame was populated, false if not.

The documentation for this class was generated from the following file:

- OgreAnimationTrack.h